netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
aclldap.h File Reference
`#include <atalk/uuid.h>`

Go to the source code of this file.

## Functions
int | ldap_getuuidfromname (const char *name, uuidtype_t type, char **uuid_string)
| Search UUID for name in LDAP.
int | ldap_getnamefromuuid (const char *uuidstr, char **name, uuidtype_t *type)
| LDAP search wrapper.

## Function Documentation

## ◆ ldap_getnamefromuuid()

int ldap_getnamefromuuid | ( | const char * | uuidstr,
|  | char ** | name,
|  | uuidtype_t * | type )
| extern

LDAP search wrapper.

returns allocated storage in name, caller must free it

Parameters

  [in] | uuidstr | uuid to search as ascii string
  [out] | name | return pointer to name as allocated string
  [out] | type | return type: USER or GROUP

Returns
  0 on success, -1 on errror or not found

## ◆ ldap_getuuidfromname()

int ldap_getuuidfromname | ( | const char * | name,
|  | uuidtype_t | type,
|  | char ** | uuid_string )
| extern

Search UUID for name in LDAP.

Caller must free uuid_string when done with it

Parameters

  [in] | name | name to search
  [in] | type | type of USER or GROUP
  [out] | uuid_string | result as pointer to allocated UUID-string

Returns
  0 on success, -1 on error or not found